<?php
/**
 * API-call related functions
 *
 * @author Remdev
 * @license MIT License
 */
class Api {
    
    protected $api_url = 'https://vilpay.com/api/index.php';
    protected $api_key;
    protected $api_id;
    protected $api_purse;
    
    
    public function __construct($api_id = '', $api_key = '', $api_purse = '') {
        $this->api_id = $api_id;
		$this->api_key = $api_key;
        $this->api_purse = $api_purse;
    }
    
    protected function jsonQuery($url) {
        $opts = array('http' =>
            array(
                'method'  => 'GET',
                'timeout' => 10 
            )
        );
        
        $context  = stream_context_create($opts);
        $feed = file_get_contents($url, false, $context);
        
        return json_decode($feed,true);
    }
    
    
    public function getBalance() {
        return $this->jsonQuery($this->api_url."?api_key={$this->api_key}&api_id={$this->api_id}&api_purse={$this->api_purse}&action=getBalance");
    }

    public function transferMoney($toUser,$money,$val) {
        return $this->jsonQuery($this->api_url."?api_key={$this->api_key}&api_id={$this->api_id}&api_purse={$this->api_purse}&action=transferMoney&toUser={$toUser}&money={$money}&val={$val}");

    }
    
}